diff --git a/.gitignore b/.gitignore
index 67680e9ad6ed3fbcded56319a82f0f8870103243..99880157265e4968269df79951e96afb10300fac 100644
--- a/.gitignore
+++ b/.gitignore
@@ -38,8 +38,9 @@ xcuserdata/
 *.nc
 Weights/
 tests/*/Weights/
+tests/*/DocumentationInterface
 __pycache__/
-run.def
+./run.def
 Out*.txt
 #
 # Test configurations and directories
diff --git a/tests/Iberia_n48/BuildHTUs_IP.pbs b/tests/Iberia_n48/BuildHTUs_IP.pbs
new file mode 100644
index 0000000000000000000000000000000000000000..b8e56839afb5cdb8667d3c2719b6e4bd0854b9d0
--- /dev/null
+++ b/tests/Iberia_n48/BuildHTUs_IP.pbs
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+#PBS -N BuildHTUs_IP
+#
+#PBS -j oe
+#PBS -l nodes=1:ppn=48
+#PBS -l walltime=128:00:00
+#PBS -l mem=160gb
+#PBS -l vmem=160gb
+#
+cd ${PBS_O_WORKDIR}
+export NSLOTS=$(($PBS_NUM_NODES*$PBS_NUM_PPN))
+#
+# Set the right Python 3 Anaconda environment
+#
+source ../../Environment
+#
+# Clean-up. Weights are kept for future runs.
+#
+/bin/rm -f DocumentationInterface *.nc *.txt
+#
+# Run the Python code to generate the HTUs and write them into a netCDF file.
+#
+mpirun -n ${NSLOTS} python ../../RoutingPreProc.py
+if [ $? -gt 0 ] ; then
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+    echo "X    Run on Iberian Peninsula failed    X"
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+else
+    echo "======================================="
+    echo "= Run on Iberian Peninsula successful ="
+    echo "======================================="
+fi
+#
+ls -l
diff --git a/tests/Iberia_n48/run.def b/tests/Iberia_n48/run.def
new file mode 100644
index 0000000000000000000000000000000000000000..3e11dd5898bc1d3bc3a4322565ed469a7861dc97
--- /dev/null
+++ b/tests/Iberia_n48/run.def
@@ -0,0 +1,28 @@
+[OverAll]
+#
+#
+#
+EarthRadius = 6370000.
+#
+ModelGridFile = /bdd/MEDI/workspaces/polcher/NewRouting/geo_MEDCORDEX.nc
+WEST_EAST = -9.75, 5.25
+SOUTH_NORTH = 35.5, 43.5
+HydroFile = /bdd/MEDI/workspaces/polcher/NewRouting/routing_MED.nc
+#
+# FORTRAN interface parameters
+#
+Documentation = true
+#
+# Configuration for the graph to be generated
+#
+nbasmax = 35
+#
+# Output
+#
+GraphFile = LC_Spain_test_graph.nc
+#
+# Diagnostics
+# You need to provide an interval in longitude and Latitude.
+#
+DiagLon = 3.9, 3.9
+DiagLat = 40.0, 40.0
diff --git a/tests/Mallorca/BuildHTUs_Mallorca.pbs b/tests/Mallorca/BuildHTUs_Mallorca.pbs
index 1fc7488c4c32d1baea970ba7bafbf88a8550269b..b54bb318a4c9d7fbb3bee2b27ebee9d8de1dfe1d 100644
--- a/tests/Mallorca/BuildHTUs_Mallorca.pbs
+++ b/tests/Mallorca/BuildHTUs_Mallorca.pbs
@@ -15,15 +15,43 @@ export NSLOTS=$(($PBS_NUM_NODES*$PBS_NUM_PPN))
 #
 source ../../Environment
 #
+# Clean-up
+#
+/bin/rm -f DocumentationInterface *.nc *.txt
+#
+# Force RoutingPreProc to recompute the weights.
+#
+/bin/rm -rf Weights
+#
 # 1 Proc
 #
 mpirun -n 1 python ../../RoutingPreProc.py
-mv MEDCORDEX_test_graph.nc MEDCORDEX_test_graph_n1.nc
-mv MEDCORDEX_test_graph_HydroSuper.nc MEDCORDEX_test_graph_HydroSuper_n1.nc
+if [ $? -gt 0 ] ; then
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+    echo "X    Run on 1 Proc failed    X"
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+else
+    echo "============================"
+    echo "= Run on 1 Proc successful ="
+    echo "============================"
+    mv MEDCORDEX_test_graph.nc MEDCORDEX_test_graph_n1.nc
+    mv MEDCORDEX_test_graph_HydroSuper.nc MEDCORDEX_test_graph_HydroSuper_n1.nc
+fi
+#
 #
 # 2 Proc
 #
 mpirun -n 2 python ../../RoutingPreProc.py
-mv MEDCORDEX_test_graph.nc MEDCORDEX_test_graph_n2.nc
-mv MEDCORDEX_test_graph_HydroSuper.nc MEDCORDEX_test_graph_HydroSuper_n2.nc
+if [ $? -gt 0 ] ; then
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+    echo "X    Run on 2 Proc failed    X"
+    echo "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
+else
+    echo "============================"
+    echo "= Run on 2 Proc successful ="
+    echo "============================"
+    mv MEDCORDEX_test_graph.nc MEDCORDEX_test_graph_n2.nc
+    mv MEDCORDEX_test_graph_HydroSuper.nc MEDCORDEX_test_graph_HydroSuper_n2.nc
+fi
+
 ls -l